# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:    nagios-plugin-check_wireguard
Version: 0.5.0
Release: 1.ndias%{?dist}
Summary: Nagios check for wireguard server

License: GPLv3
URL:     https://gitlab.com/alasdairkeyes/nagios-plugin-check_wireguard
Source0: https://gitlab.com/alasdairkeyes/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildArch: noarch

Requires: perl-Monitoring-Plugin

%description
This plugin uses the wg show output on a Wireguard server to show the
interfaces and peers defined

%prep
%setup -q


%build


%install
install -p -D check_wireguard %{buildroot}%{_libdir}/nagios/plugins/check_wireguard

%files
%doc README.md
%license LICENSE

%{_libdir}/nagios/plugins/check_wireguard

%changelog
* Wed Nov 9 2022 Nuno Dias <Nuno.Dias@gmail.com> - 0.5.0-1.ndias
- Version 0.5.0

